{
  "type" : "record",
  "name" : "Karyotype",
  "namespace" : "org.gel.models.report.avro",
  "fields" : [ {
    "name" : "iscn",
    "type" : [ "null", "string" ],
    "doc" : "International System for Human Cytogenetic Nomenclature (e.g.: \"46,XY\", \"46,XY,-5,-12,+t(5pl2p),+t(5ql2q)\")"
  }, {
    "name" : "description",
    "type" : [ "null", "string" ],
    "doc" : "Full description of the karyotype"
  }, {
    "name" : "aneuploidies",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "Aneuploidy",
        "fields" : [ {
          "name" : "iscn",
          "type" : [ "null", "string" ],
          "doc" : "International System for Human Cytogenetic Nomenclature (.e.g: \"+14p+\", \"+t(13q21 q)\")"
        }, {
          "name" : "assembly",
          "type" : {
            "type" : "enum",
            "name" : "Assembly",
            "doc" : "The reference genome assembly",
            "symbols" : [ "GRCh38", "GRCh37" ]
          },
          "doc" : "The assembly"
        }, {
          "name" : "chromosome",
          "type" : "string",
          "doc" : "Chromosome involved in the aneuploidy"
        }, {
          "name" : "complete",
          "type" : "boolean",
          "doc" : "Wheter the aneuploidy is for the whole chromosme or just a fragment"
        }, {
          "name" : "coordinates",
          "type" : [ "null", {
            "type" : "record",
            "name" : "Coordinates",
            "fields" : [ {
              "name" : "assembly",
              "type" : "Assembly"
            }, {
              "name" : "chromosome",
              "type" : "string"
            }, {
              "name" : "start",
              "type" : "int"
            }, {
              "name" : "end",
              "type" : "int"
            }, {
              "name" : "ciStart",
              "type" : [ "null", {
                "type" : "record",
                "name" : "ConfidenceInterval",
                "fields" : [ {
                  "name" : "left",
                  "type" : "int"
                }, {
                  "name" : "right",
                  "type" : "int"
                } ]
              } ]
            }, {
              "name" : "ciEnd",
              "type" : [ "null", "ConfidenceInterval" ]
            } ]
          } ],
          "doc" : "Coordinates can be specified to indicate the part of the chromosome affected"
        }, {
          "name" : "numberOfCopies",
          "type" : "int",
          "doc" : "Number of copies"
        } ]
      }
    } ],
    "doc" : "List of aneuploidies"
  }, {
    "name" : "numberOfChromosomes",
    "type" : "int",
    "doc" : "Total number of chromosomes"
  }, {
    "name" : "personKaryotipicSex",
    "type" : {
      "type" : "enum",
      "name" : "PersonKaryotipicSex",
      "namespace" : "org.gel.models.participant.avro",
      "doc" : "Karyotipic Sex",
      "symbols" : [ "UNKNOWN", "XX", "XY", "XO", "XXY", "XXX", "XXYY", "XXXY", "XXXX", "XYY", "OTHER" ]
    },
    "doc" : "Kariotypic sex"
  }, {
    "name" : "participantId",
    "type" : "string",
    "doc" : "Participant identifier"
  } ]
}
